Splunk Enterprise < 5.0.16 / 6.0.12 / 6.1.11 / 6.2.11 / 6.3.6 / 6.4.2 或 Splunk Light < 6.4.2 多個弱點

high Nessus Plugin ID 92790

Synopsis

遠端 Web 伺服器上執行的應用程式受到多個弱點的影響。

描述

根據其自我報告的版本號碼,遠端 web 伺服器上主控的 Splunk Enterprise 是 5.0.x 版、6.0.12 之前的 6.0.x 版、6.1.11 之前的 6.1.x 版、6.2.11 之前的 6.2.x 版、6.3.6 之前的 6.3.x 版或 6.4.2 之前的 6.4.x 版;或者是 6.4.2 之前的 6.4.x 版 Splunk Light。因此受到以下弱點影響:

- archive_write_set_format_zip.c 檔案內 archive_write_zip_data() 函式的 libarchive 中存在整數正負號錯誤,這是因為在 64 位元 CPU 上執行時無正負號和有正負號整數類型之間的不當轉換所導致。未經驗證的遠端攻擊者可惡意利用此問題,造成緩衝區溢位,進而導致拒絕服務情形。
(CVE-2013-0211)

- cpio/cpio.c 之檔案內 bsdcpio() 函式的 libarchive 中存在一個路徑遊走弱點,此弱點是因不當清理使用者提供的輸入所導致。未經驗證的遠端攻擊者可惡意利用此弱點,透過封存中的特製路徑,寫入任意檔案。(CVE-2015-2304)

- archive_read_support_format_zip.c 檔案內 zip_read_mac_metadata() 函式的 libarchive 中存在一個堆積型緩衝區溢位情形,此情形是因不當清理使用者提供的輸入所導致。未經驗證的遠端攻擊者可惡意利用此問題,透過 ZIP 封存中的特製項目大小值,造成拒絕服務情形或執行任意程式碼。(CVE-2016-1541)

- 在 OpenSSL 程式庫中,crypto/evp/e_aes_cbc_hmac_sha1.c 檔案中的 aesni_cbc_hmac_sha1_cipher() 函式及 crypto/evp/e_aes_cbc_hmac_sha256.c 檔案中的 aesni_cbc_hmac_sha256_cipher() 函式存在多個瑕疵,連線使用 AES-CBC 密碼,且伺服器支援 AES-NI 時,可觸發這些瑕疵。攔截式攻擊者可惡意利用這些弱點,發動 padding oracle 攻擊,進而解密網路流量。
(CVE-2016-2107)

- 存有一個因不當驗證使用者提供之輸入而引起的不明跨網站指令碼 (XSS) 弱點。未經驗證的遠端攻擊者可利用此瑕疵,使用特製的要求,在使用者的瀏覽器工作階段內,執行任意指令碼。
(VulnDB 142260)

- 存有一個因不當驗證使用者提供之輸入而引起的不明跨網站重新導向弱點。未經驗證的遠端攻擊者可惡意利用此弱點,誘騙使用者造訪特製的 Web 連結,進而將瀏覽器重新導向至攻擊者自己選擇的任意網站。(VulnDB 142261)

請注意,將不會針對 OpenSSL 問題修補 Splunk Enterprise 5.0.x,建議您升級至最新版本。

請注意,Nessus 並未測試這些問題,而是僅依據應用程式自我報告的版本號碼。

解決方案

將 Splunk Enterprise 升級至 6.0.12 / 6.1.11 / 6.2.11 / 6.3.6 / 6.4.2 版或更新版本,或將 Splunk Light 升級至 6.4.2 版或更新版本。

另請參閱

https://www.splunk.com/view/SP-CAAAPQM

https://www.openssl.org/news/secadv/20160503.txt

Plugin 詳細資訊

嚴重性: High

ID: 92790

檔案名稱: splunk_642.nasl

版本: 1.7

類型: remote

系列: CGI abuses

已發布: 2016/8/8

已更新: 2019/11/14

風險資訊

VPR

風險因素: Medium

分數: 5.9

CVSS v2

風險因素: Medium

基本分數: 6.8

時間分數: 5.3

媒介: AV:N/AC:M/Au:N/C:P/I:P/A:P

時間媒介: E:POC/RL:OF/RC:C

CVSS v3

風險因素: High

基本分數: 8.8

時間分數: 7.9

媒介: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

時間媒介: E:P/RL:O/RC:C

弱點資訊

CPE: cpe:/a:splunk:splunk, cpe:/a:openssl:openssl, cpe:/a:libarchive:libarchive

必要的 KB 項目: installed_sw/Splunk

可被惡意程式利用: true

可輕鬆利用: No exploit is required

修補程式發佈日期: 2016/7/28

弱點發布日期: 2013/3/22

參考資訊

CVE: CVE-2013-0211, CVE-2015-2304, CVE-2016-1541, CVE-2016-2107

BID: 58926, 89355, 89760, 92183, 92184

CERT: 862384

EDB-ID: 39768